| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
OgreBites::TrayListener Class Reference

Listener class for responding to tray events. More...

`#include <OgreTrays.h>`

Inheritance diagram for OgreBites::TrayListener:
[legend]

## Public Member Functions
virtual | ~TrayListener ()
virtual void | buttonHit (Button *button)
virtual void | checkBoxToggled (CheckBox *box)
virtual void | itemSelected (SelectMenu *menu)
virtual void | labelHit (Label *label)
virtual void | okDialogClosed (const Ogre::DisplayString &message)
virtual void | sliderMoved (Slider *slider)
virtual void | yesNoDialogClosed (const Ogre::DisplayString &question, bool yesHit)

## Detailed Description

Listener class for responding to tray events.

## Constructor & Destructor Documentation

## ◆ ~TrayListener()

virtual OgreBites::TrayListener::~TrayListener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ buttonHit()

virtual void OgreBites::TrayListener::buttonHit | ( | Button * | button | ) |
| inline virtual

Reimplemented in OgreBites::TrayManager.

## ◆ itemSelected()

virtual void OgreBites::TrayListener::itemSelected | ( | SelectMenu * | menu | ) |
| inline virtual

## ◆ labelHit()

virtual void OgreBites::TrayListener::labelHit | ( | Label * | label | ) |
| inline virtual

Reimplemented in OgreBites::TrayManager.

## ◆ sliderMoved()

virtual void OgreBites::TrayListener::sliderMoved | ( | Slider * | slider | ) |
| inline virtual

## ◆ checkBoxToggled()

virtual void OgreBites::TrayListener::checkBoxToggled | ( | CheckBox * | box | ) |
| inline virtual

## ◆ okDialogClosed()

virtual void OgreBites::TrayListener::okDialogClosed | ( | const Ogre::DisplayString & | message | ) |
| inline virtual

## ◆ yesNoDialogClosed()

virtual void OgreBites::TrayListener::yesNoDialogClosed | ( | const Ogre::DisplayString & | question,
|  | bool | yesHit
| ) |  |
| inline virtual

The documentation for this class was generated from the following file:

- OgreTrays.h